Content.makeFrontInterface(600, 600);

Engine.loadImageIntoPool("*");

//! vptList
const vptList = Content.getComponent("vptList");

//! pnlList
const pnlList = Content.getComponent("pnlList");
pnlList.data.rowHeight = 200;

//! Functions
inline function populateList(panel)
{
	removeAllChildPanels(panel); // Remove old child panels before adding new ones

	for (i = 0; i < 4; i++)
		addListItem(panel, i);
	
	panel.set("height", panel.data.rowHeight * panel.getChildPanelList().length);
}

inline function addListItem(panel, index)
{
	local p = panel.addChildPanel();
	p.loadImage("{PROJECT_FOLDER}img" + index + ".jpg", "img");
	p.setPosition(0, panel.data.rowHeight * index, panel.getWidth(), panel.data.rowHeight);

	p.setPaintRoutine(function(g)
	{
		var a = this.getLocalBounds(0);
		g.drawImage("img", a, 0, 0);
	});	
}

inline function removeAllChildPanels(panel)
{
	for (x in panel.getChildPanelList())
		x.removeFromParent();
}

//! Calls
populateList(pnlList);
function onNoteOn()
{
	
}
 function onNoteOff()
{
	
}
 function onController()
{
	
}
 function onTimer()
{
	
}
 function onControl(number, value)
{
	
}
 